#!/usr/bin/env node
import { r as runCli } from './shared/graphql-codegen-cli-nuxt.111a00cc.mjs';
import { c as cliError } from './shared/graphql-codegen-cli-nuxt.dc9b5437.mjs';
import 'ts-log';
import 'child_process';
import 'path';
import 'shell-quote';
import '@graphql-codegen/plugin-helpers';
import '@graphql-codegen/core';
import '@graphql-tools/utils';
import 'graphql';
import 'cosmiconfig';
import 'cosmiconfig-typescript-loader';
import 'string-env-interpolation';
import 'yargs';
import 'graphql-config';
import '@graphql-tools/apollo-engine-loader';
import '@graphql-tools/code-file-loader';
import '@graphql-tools/git-loader';
import '@graphql-tools/github-loader';
import '@graphql-tools/prisma-loader';
import '@graphql-tools/load';
import '@graphql-tools/graphql-file-loader';
import '@graphql-tools/json-file-loader';
import '@graphql-tools/url-loader';
import 'yaml';
import 'module';
import 'fs';
import 'crypto';
import 'os';
import 'listr2';
import 'is-glob';
import 'debounce';
import 'log-symbols';
import 'mkdirp';
import 'inquirer';
import 'chalk';
import 'detect-indent';
import '@whatwg-node/fetch';
import '@babel/template';
import '@babel/generator';
import '@babel/types';

const [, , cmd] = process.argv;
runCli(cmd).then((returnCode) => {
  process.exit(returnCode);
}).catch((error) => {
  cliError(error);
});
