#!/usr/bin/env node
'use strict';

const cli = require('./shared/graphql-codegen-cli-nuxt.8759db8a.cjs');
const cliError = require('./shared/graphql-codegen-cli-nuxt.4783e3ce.cjs');
require('ts-log');
require('child_process');
require('path');
require('shell-quote');
require('@graphql-codegen/plugin-helpers');
require('@graphql-codegen/core');
require('@graphql-tools/utils');
require('graphql');
require('cosmiconfig');
require('cosmiconfig-typescript-loader');
require('string-env-interpolation');
require('yargs');
require('graphql-config');
require('@graphql-tools/apollo-engine-loader');
require('@graphql-tools/code-file-loader');
require('@graphql-tools/git-loader');
require('@graphql-tools/github-loader');
require('@graphql-tools/prisma-loader');
require('@graphql-tools/load');
require('@graphql-tools/graphql-file-loader');
require('@graphql-tools/json-file-loader');
require('@graphql-tools/url-loader');
require('yaml');
require('module');
require('fs');
require('crypto');
require('os');
require('listr2');
require('is-glob');
require('debounce');
require('log-symbols');
require('mkdirp');
require('inquirer');
require('chalk');
require('detect-indent');
require('@whatwg-node/fetch');
require('@babel/template');
require('@babel/generator');
require('@babel/types');

const [, , cmd] = process.argv;
cli.runCli(cmd).then((returnCode) => {
  process.exit(returnCode);
}).catch((error) => {
  cliError.cliError(error);
});
