function isListrError(err) {
  return err.name === "ListrError" && Array.isArray(err.errors) && err.errors.length > 0;
}
function cliError(err, exitOnError = true) {
  let msg;
  if (err instanceof Error) {
    msg = err.message || err.toString();
  } else if (typeof err === "string") {
    msg = err;
  } else {
    msg = JSON.stringify(err);
  }
  console.error(msg);
  if (exitOnError) {
    process.exit(1);
  }
}

export { cliError as c, isListrError as i };
